Package skyview.geometry

# Class Deprojecter

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.Deprojecter

All Implemented Interfaces:
  `Serializable`, `Component`

Direct Known Subclasses:
  `Ait.AitDeproj`, `Arc.ArcDeproj`, `Cah.CahDeproj`, `Car.CarDeproj`, `Csc.CscDeproj`, `Hpx.HpxDeproj`, `Mer.MerDeproj`, `Mol.MolDeproj`, `Sfl.SflDeproj`, `Sin.SinDeproj`, `Stg.StgDeproj`, `Tan.TanDeproj`, `Tea.TeaDeproj`, `Toa.ToaDeproj`, `Tot.TotDeproj`, `Zea.ZeaDeproj`, `Zpn.ZpnDeproj`

public abstract class Deprojecter extends Transformer
This class deprojects a point from a projection plane onto the celestial sphere.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Deprojecter()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`getInputDimension()`
What is the input dimensionality of a deprojecter?
`protected int`
`getOutputDimension()`
What is the output dimensionality of a deprojecter?

### Methods inherited from class skyview.geometry.Transformer

`inverse, isInverse, transform, transform, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface skyview.Component

`getDescription, getName`

## Constructor Details

### Deprojecter

public Deprojecter()

## Method Details

### getOutputDimension

protected int getOutputDimension()
What is the output dimensionality of a deprojecter?

Specified by:
  `getOutputDimension` in class `Transformer`

### getInputDimension

protected int getInputDimension()
What is the input dimensionality of a deprojecter?

Specified by:
  `getInputDimension` in class `Transformer`